<html>
<!--    cibl&eacute; par: contrat.php 

		cible: gestion-contrat.php 						
 -->

<!-- param&egrave;tre &eacute;mis:        -session_id         le num&eacute;ro de la session
							-code_contrat
							-code_client

	 param&egrave;tre re&ccedil;evable :  -session_id         le num&eacute;ro de la session
	 						-organisme			le nom de l'organisme
							-nom 				le nom du client
							-prenom				le prenom du client
							-date_emission
							-date_etat
 -->
 <head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Liste des contracts</title>
<body>

<?php 

//Fichiers contenant les fonctions utilis&eacute;es dans le script.
require("../outils/gui.php");
require("../outils/session.php");
require("../outils/mise_en_page.php");
require("../historique.php");

//V&eacute;rifier si la session est valide.
$Bsession_id = $_GET["Bsession_id"];
verifierSession($Bsession_id);

//V&eacute;rifier les droits de l'utilisateur.
$privilege = lirePrivilege($Bsession_id);
if (($privilege != 2) and ($privilege != 1))
	die("Vous n'avez pas le droit de faire une recherche!");

$numero = $_GET["numero"];
$type = $_GET["type"];
$order = $_GET["order"];
$nom = $_GET["nom"];
$prenom = $_GET["prenom"];




// ******************************************************************************************************
// recherche dans la table contrat et client et ci &agrave; partir de NUMERO				*********************
// ******************************************************************************************************	
if ($type == 5)
{
	if (!empty($numero))
	{
		
			
		
		//requ&ecirc;te
		$sql = "select base_clients.code_client, base_clients.organisme, base_clients.nom, base_clients.prenom,
					   base_contrat.date_emission, base_contrat.etat, base_contrat.date_debut, base_contrat.date_fin, base_contrat.code_contrat, base_contrat.numero_contrat
				from base_clients, base_contrat
				where base_contrat.numero_contrat like '$numero'
				  AND base_clients.code_client = base_contrat.num_client";
		if ($order == 1)
		{
			$sql .= " ORDER BY base_contrat.numero_contrat desc;"; $order = 2;
		}else{
			$sql .= " ORDER BY base_contrat.numero_contrat asc;"; $order = 1;
		}	
				
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("ne peut faire la liste 1".$sql."");
		$num = mysqli_num_rows($result);
	
		$nom = '[TOUS] ';
		$prenom = '[TOUS] ';
		
		afficher_resultat($Bsession_id,$num,$result,$organisme,$nom,$prenom,$numero,$type,$order);	
		
	}
	else
	{		
		print ("<b><br><center>Veuillez entrer un terme pour la recherche!<br></b></center>");
	}
}



	

// ******************************************************************************************************
// recherche dans la table client et ci &agrave; partir de nom ou prenom					*********************
// ******************************************************************************************************	

if ($type == 2)
{

	if (!empty($nom) or !empty($prenom))
	{
		//requ&ecirc;te
		$sql = "select base_clients.code_client, base_clients.organisme, base_clients.nom, base_clients.prenom,
					   base_contrat.date_emission, base_contrat.etat, base_contrat.date_debut, base_contrat.date_fin,
					   base_contrat.code_contrat, base_contrat.numero_contrat
			      FROM base_clients, base_contrat"; 
	
		//si nom et prenom
		if (!empty($nom) and !empty($prenom))
		{
			$sql = $sql." WHERE base_clients.nom like '$nom' 
			               AND base_clients.prenom like '$prenom' 
						   AND base_clients.code_client = base_contrat.num_client
						   ORDER BY base_contrat.numero_contrat;";
			$organisme = '[TOUS] ';
		
		}
	
		//si seulement nom	
		if (!empty($nom) and empty($prenom))
		{
			$sql = $sql." WHERE base_clients.nom like '$nom'
			               AND base_clients.code_client = base_contrat.num_client
						   ORDER BY base_contrat.numero_contrat;";
			$organisme = '[TOUS] ';
			$prenom = '[TOUS] ';
		}
	
		//si seulement prenom	
		if (empty($nom) and !empty($prenom))
		{
			$sql = $sql." WHERE base_clients.prenom like '$prenom' AND base_clients.code_client = base_contrat.num_client
						ORDER BY base_contrat.numero_contrat;";
			$organisme = '[TOUS] ';
			$nom = '[TOUS] ';
		}

		$numero = '[TOUS] ';
		
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("ne peut faire la liste 1".$sql);
		$num = mysqli_num_rows($result);
		
		afficher_resultat($Bsession_id,$num,$result,$organisme,$nom,$prenom,$numero,$code_client,$type,$order);		
	
	}	
	else
	{		
		print ("<b><br><center>Veuillez entrer un terme pour la recherche!<br></b></center>");
	}
}


// ******************************************************************************************************
// recherche dans la table contrat et client et ci &agrave; partir de date d'&eacute;mission		*********************
// ******************************************************************************************************
if ($type == 3)
{
	if (!empty($date_emission))
	{
		
		//requ&ecirc;te
		$sql = "select base_clients.code_client, base_clients.organisme, base_clients.nom, base_clients.prenom,
					   base_contrat.date_emission, base_contrat.etat, base_contrat.date_debut, base_contrat.date_fin,
					   base_contrat.code_contrat, base_contrat.numero_contrat 
				from base_clients, base_contrat
				where base_contrat.date_emission = '$date_emission'
				  AND base_clients.code_client = base_contrat.num_client
				  ORDER BY base_contrat.numero_contrat;";
				
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("ne peut faire la liste 2".$sql);
		$num = mysqli_num_rows($result);
	
		$nom = '[TOUS] ';
		$prenom = '[TOUS] ';
		$numero = '[TOUS] ';	
		
		afficher_resultat($Bsession_id,$num,$result,$organisme,$nom,$prenom,$numero,$type,$order);	
		
	}
	else
	{		
		print ("<b><br><center>Veuillez entrer un terme pour la recherche!<br></b></center>");
	}
}		

// ******************************************************************************************************
// recherche dans la table contrat et client et ci &agrave; partir d'&eacute;tat			 		*********************
// ******************************************************************************************************
if ($type == 4)
{
	if (!empty($etat))
	{
		
		//requ&ecirc;te
		$sql = "select base_clients.code_client, base_clients.organisme, base_clients.nom, base_clients.prenom,
					   base_contrat.date_emission, base_contrat.etat, base_contrat.date_debut, base_contrat.date_fin,
					   base_contrat.code_contrat, base_contrat.numero_contrat 
				from base_clients, base_contrat
				where base_contrat.etat = '$etat'
				  AND base_clients.code_client = base_contrat.num_client
				  ORDER BY base_contrat.numero_contrat;";
				
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("ne peut faire la liste 2".$sql);
		$num = mysqli_num_rows($result);
	
		$nom = '[TOUS] ';
		$prenom = '[TOUS] ';	
		$numero = '[TOUS] ';
		
		afficher_resultat($Bsession_id,$num,$result,$organisme,$nom,$prenom,$numero,$type,$order);	
		
	}
	else
	{		
		print ("<b><br><center>Veuillez entrer un terme pour la recherche!<br></b></center>");
	}
}		

 
 
//FONCTION AFFICHER R&Eacute;SULTAT 
function afficher_resultat($Bsession_id,$num,$result,$organisme,$nom,$prenom,$numero,$type,$order)
{ 
	if ($num)
	{
		historique("../historique.txt","MENU RECHERCHE D'UN CONTRAT",$Bsession_id);
		print("<center><table cellspacing=0 cellpadding=0 width=750px border=0>");
		print("<tr><td bgcolor=white width=27px><img src=coin-haut-gauche.gif></td>");
		print("<td bgcolor=#636300><center><font face=Arial,Helvetica size=3 color=white><b>Recherche de contrat</b></td>");
		print("<td bgcolor=white width=27px><img src=coin-haut-droit.gif></td>");
		print("</td></tr></table>");	
	
		print ("<table width=750px cellspacing=0 cellpadding=0 border=0>\n");
		print("<tr><td colspan=8 bgcolor=#E7EFCE>Cette liste contient les dossiers de contrats r&eacute;pondant au crit&egrave;re de recherche ".$numero." pour le num&eacute;ro, ".$organisme." pour l'organisme, ".$nom." pour le nom et ".$prenom."pour le pr&eacute;nom.");
		print("</td></tr><tr><td width=50px bgcolor=#D6E4AC>");

		//No contrat
		print("<a href=\"liste-contract.php?Bsession_id=$Bsession_id&type=".$type."&numero=".$numero."&order=".$order."\">");	
		if ($order == 1)
			print("<img src=images/desc.gif border=0>");
		else
			print("<img src=images/asc.gif border=0>");		
		print("<b> No<br><br>");
		print("</a></td>");
		
		//etat
		print("<td bgcolor=#C8DB8D>");
		print("<b>&Eacute;tat<br><br>");
		print("</td>");

		//date d'emission
		print("<td bgcolor=#D6E4AC>");
		print("<b>&eacute;mission<br><br>");
		print("</td>");
		
		//debut
		print("<td bgcolor=#C8DB8D>");
		print("<b>D&eacute;but<br><br>");
		print("</td>");
		
		//Fin
		print("<td bgcolor=#D6E4AC>");
		print("<b>Fin<br><br>");
		print("</td>");
		
		//organisme
		print("<td bgcolor=#C8DB8D>");
		print("<b>Organisme<br><br>");
		print("</td>");
		
		//nom
		print("<td bgcolor=#D6E4AC>");
		print("<b>Nom<br><br>");
		print("</td>");

		//pr&eacute;nom
		print("<td bgcolor=#C8DB8D>");
		print("<b>Pr&eacute;nom<br><br>");
		print("</td>");
		print("</tr>");

		// Affiche les r&eacute;sultats de la requ&ecirc;te
		while ($row = mysqli_fetch_row($result))
		{
			$code_client = $row[0];
			$organisme = $row[1]; 
			$nom = $row[2];
			$prenom = $row[3];
			$date_emission = $row[4];
			$etat = $row[5];
			$date_debut = $row[6];
			$date_fin = $row[7];
			$code_contrat = $row[8];
			$numero_contrat=$row[9];
			print ("<tr>\n");
			$i = 0;
			
			// affiche le code du contrat
			print("<td bgcolor=#D6E4AC>");
			print("<a href=\"gestion-contract.php?Bsession_id=$Bsession_id&code_contrat=$code_contrat&code_client=$code_client\">");			
			print($numero_contrat);
			print("</a>");
			print("</td>");

			// affiche l'&eacute;tat
			print("<td bgcolor=#C8DB8D>");
			print($etat);
			print("</td>");
			
			// affiche la date d'&eacute;mission
			print("<td bgcolor=#D6E4AC>");
			print($date_emission);
			print("</td>");
			
			// affiche la date de d&eacute;but
			print("<td bgcolor=#C8DB8D>");
			print($date_debut);
			print("</td>");
			
			// affiche la date fin
			print("<td bgcolor=#D6E4AC>");
			print($date_fin);
			print("</td>");
			
			// affiche l'organisme
			print("<td bgcolor=#C8DB8D>");
			print("<a href=\"../client/gestion-client.php?Bsession_id=$Bsession_id&code_client=$code_client\">");
			print($organisme);
			print("</td>");
			
			// affiche le nom
			print("<td bgcolor=#D6E4AC>");
			print($nom);
			print("</td>");
		
			// affiche le pr&eacute;nom
			print("<td bgcolor=#C8DB8D>");
			print($prenom);
			print("</td>");
						
			
		}
		print ("</table>\n");
		
print("<center><table cellspacing=0 cellpadding=0 width=750px border=0>");
print("<tr><td bgcolor=white width=27px><img src=coin-bas-gauche.gif></td>");
print("<td bgcolor=#636300 width=746px></td>");
print("<td bgcolor=white width=27px><img src=coin-bas-droit.gif></td>");
print("</tr></table>");	
		
		
		
		// lib&eacute;rer la m&eacute;moire		
		((mysqli_free_result($result) || (is_object($result) && (get_class($result) == "mysqli_result"))) ? true : false);
	} 
	else
	{		
		print ("<br>Pas de r&eacute;sultats<br>");
	}
} 
 
 
//BAS DE PAGE*****************************************************************

print("<br><hr><table width=100%><tr><td width=50%>");
print("<div align=right>");
	//Afficher le bouton de retour au menu contract.
	print("<form action=\"contract.php?Bsession_id=".$_GET['Bsession_id']."\" method=\"post\" name=\"contrat\">");
	print("<input type=\"hidden\" name=\"Bsession_id\" value=".$_GET['Bsession_id'].">");
	print("<input type=\"submit\" name=\"menu_client\" value=\"Menu contrat\"></form>");
print("</td><td width=50%>");
print("<div align=left>");	
	//Afficher le bouton de retour au menu principal.
	print("<form action=\"../menu-base.php?Bsession_id=".$_GET['Bsession_id']."\" method=\"post\" name=\"principal\">");
	print("<input type=\"hidden\" name=\"Bsession_id\" value=".$_GET['Bsession_id'].">");
	print("<input type=\"submit\" name=\"menu_principal\" value=\"Menu Principal\"></form>");
print("</td><tr></table>");	

	
	




	
?>

</body>
</html>	
	
	
	
	
